<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_9c050c786fc87170cbb84fc6a8b1" . "3cb6" => base64_decode("YXR0YWNobWV" . "udC0="), "_6e1c717cf3cbf1af982ed74d43" . "36b7f1" => base64_decode("Ym9keS1od" . "G1s"), "_d706c160e4" . "5bf7434fff8" . "2a5976f0e19" => base64_decode("YXJyYXlfa" . "2V5cw=="), "_618a4ae" . "b9fecc45" . "92a4521f" . "34876fa2" . "9" => base64_decode("ZnJvbQ" . "=="), "_1d6c68a0262e8fa0bed1215b72" . "24a98e" => base64_decode("cmVjaXB" . "pZW50"), "_8c575917cbaed" . "f1e7efae849394" . "02bff" => base64_decode("U3ViamVjdA=" . "="), "_f589476007fa133f457c3ef29ddf" . "a566" => base64_decode("VG" . "8="), "_956cd322" . "98a229f97" . "68f1096f0" . "77ace3" => base64_decode("Ym9keS1wbGFpbg" . "=="), "_97ea09a7faf27c52c6eff697" . "73df1d8a" => base64_decode("dGlt" . "ZXN0" . "YW1w"), "_a1e707d02a236d" . "adebd15a45e65eb" . "db6" => base64_decode("YXR0YWN" . "obWVudC" . "1jb3Vud" . "A=="), "_44e986c04f41a08b56a" . "383c7b3a88ee2" => base64_decode("c2VuZG" . "Vy"), "_f39f5346e313e" . "4dd1ac3a7bd803" . "2beda" => base64_decode("c3Vic3RyX2Nvb" . "XBhcmU="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d706c160e45bf7434fff8" . "2a5976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a1e707d02a236dadebd15a45e65e" . "bdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f39f5346e313e4dd1ac3a7bd80" . "32beda"]($key, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_9c050c786fc87" . "170cbb84fc6a8b" . "13cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1d6c68a0262e8fa0bed1215b7" . "224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_618a4aeb9fecc4592a" . "4521f34876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f58947600" . "7fa133f457" . "c3ef29ddfa" . "566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_8c575917cbaedf1e7efae84939402" . "bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6e1c717cf3cbf1af982ed74" . "d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_956cd32298a229f9768f1096f077" . "ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_97ea09a7fa" . "f27c52c6eff" . "69773df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_44e986c04f41a08b56" . "a383c7b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}